Bug 144495 - mozilla doesn't register when home direcoty is nfs IRIX type 1 directory
mozilla doesn't register when home direcoty is nfs IRIX type 1 directory
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 13:25 EST by Carrie Knox
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carrie Knox 2005-01-07 13:25:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
Mozilla fails to startup/appreg for 1st time mozilla users.  Initially this appears to be a Mozilla issue, but since the failure only occurs when the user's home directory is an NFS mounted IRIX type=1 filesystem and the desktop running Mozilla is FC3, I don't know that mozilla is the problem.

Fedora Core 3 failing desktop environment is with desktop running 2.6.9-1.681_FC3 kernel and mozilla 1.7.3.  Mozilla will attempt to startup for first-time mozilla users, the ~username/.mozilla directory is created and some appreg entries are entered, ~username/.mozilla/default directory is created, but ~username/.mozilla/default/*.slt is not created and mozilla exits without firing up a window.  The ~username home directory is NFS mounted from an IRIX 6.5.x fileserver. 

Within our desktop/server environment home directories are mounted from IRIX NFS servers.  Some of the home directories are on IRIX type version =1 filesystems and other home directories are on IRIX type version =2 filesystems.

The strange mozilla startup failure occurs only for users that mount home directories from IRIX type version=1 filesystems.  Mozilla fires up as expected when the user's home directoy is an NFS mounted IRIX type version =2 filesystem (same NFS server, same shares, same mount options) or when the home directory is local to the workstation.

We are running some RedHat 9 workstations within our environment and the failure does not occur when running Mozilla 1.4 and NFS mounting IRIX type version =1 filesystems.
 
I downgraded one of the FC3 desktop systems to Mozilla 1.4 and the failure occurs with Mozilla 1.4 and FC3.

I've upgraded to kernel 2.6.9-1.724_FC2 and Mozilla 1.7.5 and the failure still occurs.  I've upgraded the desktop to glibc-2.3.4-2.fc3, but no help. 

The problem seems to be only during the mozilla appreg.  If Mozilla is started up on a RedHat 9 system and the appropriate ~username/.mozilla/appreg and default is created the same username is then able to run Mozilla on an FC3 system without error.

Not sure how to pursue this issue 

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.724.FC3 and mozilla 1.7.5

How reproducible:
Always

Steps to Reproduce:
1.place user home directory on IRIX type version=1 filesystem
2.remove ~user/.mozilla
3./usr/bin/mozilla
  

Actual Results:  mozilla attempts to run, but exits during ~username/.mozilla directory structure creation

Additional info:
Comment 1 Dave Jones 2005-07-15 15:44:52 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:26:26 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.